xn::Capability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::Capability:
[legend]

## Public Member Functions

| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Base class for all capabilities.

## Constructor & Destructor Documentation

## Capability() [1/2]

xn::Capability::Capability | ( | XnNodeHandle | hNode | ) |

inline

Ctor

Parameters

  [in] | hNode | The node handle

## Capability() [2/2]

xn::Capability::Capability | ( | const NodeWrapper & | node | ) |

inline

The documentation for this class was generated from the following file:

- XnCppWrapper.h